Home page logo
/

bugtraq logo Bugtraq mailing list archives

[SECURITY] [DSA 2328-1] freetype security update
From: Moritz Muehlenhoff <jmm () debian org>
Date: Mon, 24 Oct 2011 22:22:32 +0200

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- -------------------------------------------------------------------------
Debian Security Advisory DSA-2328-1                   security () debian org
http://www.debian.org/security/                        Moritz Muehlenhoff
October 24, 2011                       http://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package        : freetype
Vulnerability  : missing input sanitising
Problem type   : remote
Debian-specific: no
CVE ID         : CVE-2011-3256 
Debian Bug     : 646120

It was discovered that missing input sanitising in Freetype's glyph
handling could lead to memory corruption, resulting in denial of service
or the execution of arbitrary code.

For the oldstable distribution (lenny), this problem has been fixed in
version 2.3.7-2+lenny7.

For the stable distribution (squeeze), this problem has been fixed in
version 2.4.2-2.1+squeeze2.

For the unstable distribution (sid), this problem has been fixed in
version 2.4.7-1.

We recommend that you upgrade your freetype packages.

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: http://www.debian.org/security/

Mailing list: debian-security-announce () lists debian org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6lyMsACgkQXm3vHE4uylo6EgCgl7wqxzQV1h5ZzlnIgkt0Xb2L
ZRIAoOu2OzBCeZkmgIV7oUdxezXdw8B8
=T3If
-----END PGP SIGNATURE-----


  By Date           By Thread  

Current thread:
  • [SECURITY] [DSA 2328-1] freetype security update Moritz Muehlenhoff (Oct 25)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]